release: BUILD = release
release: Book

debug: BUILD = debug
debug: Book

clean: BUILD = clean
clean: Book

Book: FORCE
	cd 'Ch03-Xforms' && $(MAKE) $(BUILD)
	cd 'Ch05-Viewing' && $(MAKE) $(BUILD)
	cd 'Ch06-GeometryColoring' && $(MAKE) $(BUILD)
	cd 'Ch07-Lighting' && $(MAKE) $(BUILD)
	cd 'Ch08-Raster' && $(MAKE) $(BUILD)
	cd 'Ch09-Curves' && $(MAKE) $(BUILD)
	cd 'Ch10-Orientation' && $(MAKE) $(BUILD)
	cd 'Ch11-Collision' && $(MAKE) $(BUILD)
	cd 'Ch12-Simulation' && $(MAKE) $(BUILD)

FORCE:


